summaryrefslogtreecommitdiff
path: root/contrib/reghunt/examples/testall
diff options
context:
space:
mode:
authorupstream source tree <ports@midipix.org>2015-03-15 20:14:05 -0400
committerupstream source tree <ports@midipix.org>2015-03-15 20:14:05 -0400
commit554fd8c5195424bdbcabf5de30fdc183aba391bd (patch)
tree976dc5ab7fddf506dadce60ae936f43f58787092 /contrib/reghunt/examples/testall
downloadcbb-gcc-4.6.4-554fd8c5195424bdbcabf5de30fdc183aba391bd.tar.bz2
cbb-gcc-4.6.4-554fd8c5195424bdbcabf5de30fdc183aba391bd.tar.xz
obtained gcc-4.6.4.tar.bz2 from upstream website;upstream
verified gcc-4.6.4.tar.bz2.sig; imported gcc-4.6.4 source tree from verified upstream tarball. downloading a git-generated archive based on the 'upstream' tag should provide you with a source tree that is binary identical to the one extracted from the above tarball. if you have obtained the source via the command 'git clone', however, do note that line-endings of files in your working directory might differ from line-endings of the respective files in the upstream repository.
Diffstat (limited to 'contrib/reghunt/examples/testall')
-rwxr-xr-xcontrib/reghunt/examples/testall73
1 files changed, 73 insertions, 0 deletions
diff --git a/contrib/reghunt/examples/testall b/contrib/reghunt/examples/testall
new file mode 100755
index 000000000..61d99e0b6
--- /dev/null
+++ b/contrib/reghunt/examples/testall
@@ -0,0 +1,73 @@
+#! /bin/sh
+
+# Run one or more regression hunts
+#
+# The file specified as the single argument is a queue of regression
+# hunts and/or lists of patches to test. Each entry in the file is
+# "hunt" or "test" followed by a bugid for which there is a config
+# file and other required files (patch list and test source file).
+# Each line of the file is removed as it is processed, and new ones
+# can be added while the script is still running.
+
+#set -ex
+
+if [ $# != 1 ]; then
+ echo "usage: $0 testfile"
+ exit 1
+fi
+
+REGFILE=$1
+TMPFILE=testall.tmp
+
+if [ ! -f $REGFILE ]; then
+ echo "$0: file $REGFILE does not exist"
+ exit 1
+fi
+
+RETURN_FOR_TEST=return
+RETURN_FOR_TEST=true
+
+. ../gcc-svn-env
+
+hunt() {
+ id=$1
+
+ echo regression hunt for $id
+ $RETURN_FOR_TEST
+ $REG_CLEANUP
+ reg-hunt $id.config >> $id.log 2>&1
+ tail -n 1 $id.log
+ #tail -n 1 $id.log | mutt -s "reghunt for $id finished" janis187
+}
+
+testit() {
+ id=$1
+
+ echo testing specific dates for $id
+ $RETURN_FOR_TEST
+ $REG_CLEANUP
+ reg-test $id.config >> $id.log 2>&1
+ #mutt -s "reg-test for $id finished" janis187 < /dev/null
+}
+
+rm -f $REG_STOP
+
+while
+ read WHICH ID < $REGFILE
+do
+ if [ -f $REG_STOP ]; then
+ echo "$REG_STOP detected"
+ rm -f $REG_STOP
+ exit 1
+ fi
+
+ sed 1d < $REGFILE > $TMPFILE
+ mv $TMPFILE $REGFILE
+
+ case $WHICH in
+ hunt) hunt $ID;;
+ test) testit $ID;;
+ *) echo "unknown action $WHICH, skipping $ID";;
+ esac
+ echo
+done